<?php

namespace App\Classes\Modules\Banks\Services;


use App\Classes\General\Eloquent\AbstractFetchRecord;
use Illuminate\Database\Eloquent\Builder;
use App\Models\Bank;

class FetchesBank extends AbstractFetchRecord
{

    /** @var Bank */
    private $repository;


    /**
     * FetchesBank constructor.
     * @param Bank $repository
     */
    public function __construct(Bank $repository)
    {
        $this->repository = $repository;
    }


    /**
     * @return Builder
     */
    public function getRepository(): Builder
    {
        return $this->repository->newQuery();
    }
}